Subject: Re: [Last-Call] Last Call: <draft-kuehlewind-system-ports-04.txt> (Reassignment of System Ports to the IESG) to Proposed Standard

From: Alexey Melnikov <[email-masked]>
Date: Tue, 24 Mar 2020 15:23:58 +0000

Hi all,

To close the loop on this IETF LC:

Based on feedback received during IETF LC and after consulting with 
Transport ADs:

1) It is quite clear that the document needs to be revised to reflect 
IETF LC feedback (including feedback received from Port Exports). I will 
be passing this document to Martin Duke as the responsible AD, who will 
decide when the document is ready and whether it needs another IETF LC.

2) IESG and IANA will create a list of RFC references that should be 
added to registered system ports. No action will be taken without 
consulting with the IETF community.

3) IESG might also ask IANA to contact existing change controllers for 
existing system port registrations in order to see if current contact 
details are accurate.

Best Regards,
Alexey

On 10/02/2020 15:44, The IESG wrote:

> The IESG has received a request from an individual submitter to consider the
> following document: - 'Reassignment of System Ports to the IESG'
>    <draft-kuehlewind-system-ports-04.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2020-03-09. Exceptionally, comments may
> be sent to [email-masked] instead. In either case, please retain the beginning
> of the Subject line to allow automated sorting.
>
> Abstract
>
>
>     In the IANA Service Name and Transport Protocol Port Number Registry,
>     a large number of System Ports is currently assigned to individuals
>     or companies who have registered the port for the use with a certain
>     protocol before RFC6335 was published.  For some of these ports, RFCs
>     exist that describe the respective protocol; for others, RFCs are
>     under development that define, re-define, or assign the protocol used
>     for the respective port, e.g. in case of so-far unused UDP ports that
>     have been registered together with the respective TCP port.  In these
>     cases the IESG has the change control about the protocol used on the
>     port (as described in an RFC) but does not have the change control
>     about the port usage itself.  Currently, to transfer the change
>     control to the IESG, the original assignee has to be contacted to
>     initialize this transfer.  As it is not always possible to get in
>     touch with the original assignee, e.g. because of out-dated contact
>     information or other reasons, and the current practice of case-by-
>     case changes does not scale well, this document instructs IANA to
>     perform actions with the goal to reassigns all System Ports to the
>     IESG that have been assigned to individuals prior to the publication
>     of RFC6335.
>
>
>
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-kuehlewind-system-ports/
>
> IESG discussion can be tracked via
> https://datatracker.ietf.org/doc/draft-kuehlewind-system-ports/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>